package com.gxlu.ps.netcruise.md.util;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.Reader;

/* loaded from: com_gxlu_ps_netcruise_md_util.jar:com/gxlu/ps/netcruise/md/util/WinStyleLineReader.class */
public class WinStyleLineReader extends BufferedReader {
    private static final int INIT = 0;
    private static final int NORMAL = 1;
    private static final int READCR = 2;
    private static final int FINISH = 3;
    private static final int BUFSIZE = 8192;
    private int state;
    private int size;

    public WinStyleLineReader(Reader in) {
        super(in, BUFSIZE);
        this.size = BUFSIZE;
    }

    public WinStyleLineReader(Reader in, int size) {
        super(in, size);
    }

    @Override // java.io.BufferedReader
    public String readLine() throws IOException {
        this.state = INIT;
        StringBuffer result = new StringBuffer(this.size);
        char c = (char) super.read();
        if (65535 == c) {
            return null;
        }
        if ('\r' == c) {
            result.append(c);
            this.state = 2;
        } else {
            result.append(c);
            this.state = 1;
        }
        while (FINISH != this.state) {
            char c2 = (char) super.read();
            if (65535 == c2) {
                return null;
            }
            result.append(c2);
            switch (this.state) {
                case 1:
                    if ('\r' != c2) {
                        break;
                    } else {
                        this.state = 2;
                        break;
                    }
                case 2:
                    if ('\n' == c2) {
                        this.state = FINISH;
                        break;
                    } else {
                        this.state = 1;
                        break;
                    }
            }
        }
        return result.toString();
    }

    @Override // java.io.BufferedReader, java.io.Reader, java.io.Closeable, java.lang.AutoCloseable
    public void close() throws IOException {
        super.close();
    }
}
